
namespace EF43TestApp
{
    class Program
    {
        static void Main(string[] args)
        {
            using (testEntities context = new testEntities())
            {
                Author author = Author.CreateAuthor(1);

                author.Name = "Fred Songmaker";

                context.AddToAuthors(author);

                Song song = Song.CreateSong(1);

                song.IDAuthor = author.IDAuthor;
                song.Title = "this is a song.";

                context.AddToSongs(song);
                context.SaveChanges();
            }
        }
    }
}
